Legacy System Extensions on macOS Catalina 10.15.4 and later

Avast Security, Avast Premium Security, and Avast Omni for Mac version 14.5 and earlier use kernel extensions to provide real-time protection for your Mac. On March 24, 2020, Apple released version 10.15.4 of Catalina to macOS users. This update contains a check of kernel extensions on your Mac. If an application with kernel extensions is detected, macOS displays a notification about legacy system extensions. Click OK to close the notification. Your Avast product will continue to work as normal.

To comply with changes to the Apple guidelines for software developers, we have updated our Endpoint Security and Network Extension frameworks. These updates have been implemented in Avast Security, Avast Premium Security, and Avast Omni version 14.6, and are available for customers running macOS 11 Big Sur.

For more details about legacy system extensions, refer to the following announcement from Apple:

  • Avast Security 14.x for Mac
  • Avast Premium Security 14.x for Mac
  • Avast Omni 14.x for Mac
  • Apple macOS 10.15.4 (Catalina) and later

Was this article helpful?

Need additional help?

Contact us